<?php
/**
 * {{$Page.Header}}: 此文件列出{{$Page.TableName}}表的记录。
 *
 * @author          {{$Page.Author}}
 * @package         {{$Page.PackageName}}
 * @version         {{$IdTag}}
 */
/* 初始化系统。 */
require_once("{{$Page.IncludePath}}Include/InitAdmin.php");
langLoadTable("{{$Page.TableName}}");

/* 初始化分页类文件。 */
$MyPage = new Page("{{$Page.TableName}}", $_GET["RecTotal"], $_GET["RecPerPage"], $_GET["PageID"]);

/* 从{{$Page.TableName}}表里面查询数据。 */
$SQL      = "SELECT {{$Page.FieldsString}} FROM {{$Page.TableName}}" . $MyPage->limit();
$ResultID = $MyDB->query($SQL);
if($ResultID)
{
    while($Item = $ResultID->fetchRow())
    {
        $ItemList[] = $Item;
    }
}
else
{
    die($MyDB->errorMsg());
}

/* 赋值。*/
{{*$MyTPL->assign("PageTitle", "{{$Page.Header}}");*}}
$MyTPL->assign("PageTitle", $_LANG["TableLabel"] . $_LANG["ListPage"]);
$MyTPL->assign("ItemList",  array_reverse($ItemList));
$MyTPL->assign("Pager",     $MyPage->show());

/* 显示模板。*/
$MyTPL->display($_CFG["TPL"]);
?>